<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) XXXX-2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="input">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>input</refname>
    <refpurpose> prompt for user input</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>x = input(message [, "string"])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>message</term>
        <listitem>
          <para>character string</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>"string"  </term>
        <listitem>
          <para>the character string <literal>"string"</literal> (may be
	    abbreviated to <literal>"s"</literal>)</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>real number (or character string if
	    <literal>"string"</literal> is in the calling sequence)</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>input(message)</literal> gives the user the prompt in the text string and 
    then waits for input from the keyboard. 
    The input can be expression which is evaluated by <link linkend="evstr">evstr</link>.
    If nothing but a carriage return is
    entered at the prompt <literal>input(message)</literal> returns an empty matrix
    </para>
    <para>
    Invoked with two arguments, the output is a character string which is the
    expression entered at keyboard.  If nothing but a carriage return is
    entered at the prompt <literal>input(message)</literal> returns  a single white
      space  <literal>" "</literal>.
    </para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
//x=input("How many iterations?")
//x=input("What is your name?","string")
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="evstr">evstr</link>
      </member>
      <member>
        <link linkend="x_dialog">x_dialog</link>
      </member>
      <member>
        <link linkend="x_mdialog">x_mdialog</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
